Subject: bug#24441: 24.5; rename directory in dired to change case

From: Drew Adams <[email-masked]>
Date: Thu, 15 Sep 2016 07:57:40 -0700 (PDT)

>>>> If I have a directory `a', and try to rename it `A' in dired, it errors.
>>>> `(file-error Renaming Invalid argument /tmp/a /tmp/A/a)'. 
>>>
>>> That's because your filesystem is case-insensitve, thus /tmp/A already
>>> exists.
> >
> > FWIW, MS Windows is case-insensitive, but it nevertheless shows
> > files and directories using both uppercase and lowercase letters.
> > And it lets you rename "aa" to "AA", "Aa", etc.  The fact that
> > the file already exists does not prevent you from renaming it
> > to use different letter case.
> 
> That's because we have special code for that, which is only compiled
> in the Windows build.

OK.  And good.

My point was that it is not necessarily the case that, for Emacs,
_just because_ a filesystem is case-insensitive, you cannot
rename a file to the same name but with a different letter case.

It is also the case that, for MS Windows at least, you can do
such renaming outside Emacs (with Windows Explorer, for instance).

Some other OS might not allow for such renaming.  But for at least
some OSes such renaming is possible, including for Emacs.